#
# spec file for package knewstuff
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lname   libKF5NewStuff5
# Full KF5 version (e.g. 5.33.0)
%{!?_kf5_version: %global _kf5_version %{version}}
# Last major and minor KF5 version (e.g. 5.33)
%{!?_kf5_bugfix_version: %define _kf5_bugfix_version %(echo %{_kf5_version} | awk -F. '{print $1"."$2}')}
%define qt5_version 5.15.2
%bcond_without released
Name:           knewstuff
Version:        5.116.0
Release:        1.4
Summary:        Framework for downloading and sharing additional application data
License:        LGPL-2.1-or-later
URL:            https://www.kde.org
Source:         %{name}-%{version}.tar.xz
%if %{with released}
Source1:        %{name}-%{version}.tar.xz.sig
Source2:        frameworks.keyring
%endif
BuildRequires:  extra-cmake-modules >= %{_kf5_version}
BuildRequires:  fdupes
BuildRequires:  cmake(KF5Archive) >= %{_kf5_version}
BuildRequires:  cmake(KF5Attica) >= %{_kf5_version}
BuildRequires:  cmake(KF5Completion) >= %{_kf5_version}
BuildRequires:  cmake(KF5Config) >= %{_kf5_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{_kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{_kf5_version}
BuildRequires:  cmake(KF5IconThemes) >= %{_kf5_version}
BuildRequires:  cmake(KF5ItemViews) >= %{_kf5_version}
BuildRequires:  cmake(KF5KIO) >= %{_kf5_version}
BuildRequires:  cmake(KF5Package) >= %{_kf5_version}
BuildRequires:  cmake(KF5Service) >= %{_kf5_version}
BuildRequires:  cmake(KF5Syndication) >= %{_kf5_version}
BuildRequires:  cmake(KF5TextWidgets) >= %{_kf5_version}
BuildRequires:  cmake(KF5WidgetsAddons) >= %{_kf5_version}
BuildRequires:  cmake(KF5XmlGui) >= %{_kf5_version}
BuildRequires:  cmake(Qt5Core) >= %{qt5_version}
BuildRequires:  cmake(Qt5Qml) >= %{qt5_version}
BuildRequires:  cmake(Qt5Quick) >= %{qt5_version}
BuildRequires:  cmake(Qt5UiPlugin) >= %{qt5_version}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_version}
BuildRequires:  cmake(Qt5Xml) >= %{qt5_version}

%description
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package -n %{lname}
Summary:        Framework for downloading and sharing additional application data
Requires:       %{name}
Obsoletes:      libKF5NewStuff4

%description -n %{lname}
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package -n libKF5NewStuffCore5
Summary:        Framework for downloading and sharing additional application data

%description -n libKF5NewStuffCore5
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package -n libKF5NewStuffWidgets5
Summary:        Framework for downloading and sharing additional application data

%description -n libKF5NewStuffWidgets5
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package imports
Summary:        Framework for downloading and sharing additional application data

%description imports
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification.

%package core-devel
Summary:        Framework for downloading and sharing additional application data
Requires:       libKF5NewStuffCore5 = %{version}
Requires:       cmake(KF5Attica) >= %{_kf5_version}

%description core-devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%package quick-devel
Summary:        Framework for downloading and sharing additional application data
Requires:       %{name}-core-devel = %{version}
Requires:       %{name}-imports = %{version}

%description quick-devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%package devel
Summary:        Framework for downloading and sharing additional application data
Requires:       %{lname} = %{version}
Requires:       %{name}-core-devel = %{version}
Requires:       libKF5NewStuffCore5 = %{version}
Requires:       libKF5NewStuffWidgets5 = %{version}
Requires:       cmake(KF5Service) >= %{_kf5_version}
Requires:       cmake(KF5XmlGui) >= %{_kf5_version}
Requires:       cmake(Qt5Widgets) >= %{qt5_version}
# Required by KF5NewStuffConfig.cmake
Requires:       cmake(KF5NewStuffQuick) >= %{_kf5_version}

%description devel
The KNewStuff library implements collaborative data sharing for
applications. It uses libattica to support the Open Collaboration Services
specification. Development files.

%lang_package -n %{lname}

%prep
%autosetup -p1

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build

%fdupes %{buildroot}

%find_lang knewstuff5

%ldconfig_scriptlets -n %{lname}
%ldconfig_scriptlets -n libKF5NewStuffCore5
%ldconfig_scriptlets -n libKF5NewStuffWidgets5

%files -n %{lname}-lang -f knewstuff5.lang

%files
%{_kf5_applicationsdir}/org.kde.knewstuff-dialog.desktop
%{_kf5_bindir}/knewstuff-dialog
%{_kf5_datadir}/kmoretools/
%{_kf5_debugdir}/knewstuff.categories
%{_kf5_debugdir}/*.renamecategories

%files -n %{lname}
%license LICENSES/*
%doc README*
%{_kf5_libdir}/libKF5NewStuff.so.*

%files -n libKF5NewStuffCore5
%{_kf5_libdir}/libKF5NewStuffCore.so.*

%files -n libKF5NewStuffWidgets5
%{_kf5_libdir}/libKF5NewStuffWidgets.so.*

%files imports
%{_kf5_qmldir}/

%files core-devel
%{_kf5_libdir}/libKF5NewStuffCore.so
%{_kf5_libdir}/cmake/KF5NewStuffCore/
%dir %{_kf5_includedir}/KNewStuff3
%{_kf5_includedir}/KNewStuff3/knewstuffcore_version.h
%{_kf5_includedir}/KNewStuff3/KNSCore/
%{_kf5_includedir}/KNewStuff3/knscore/
%{_kf5_mkspecsdir}/qt_KNewStuffCore.pri

%files quick-devel
%{_kf5_libdir}/cmake/KF5NewStuffQuick/
%dir %{_kf5_includedir}/KNewStuff3
%{_kf5_includedir}/KNewStuff3/knewstuffquick_version.h

%files devel
%{_kf5_libdir}/libKF5NewStuff.so
%{_kf5_libdir}/libKF5NewStuffWidgets.so
%{_kf5_libdir}/cmake/KF5NewStuff/
%dir %{_kf5_plugindir}/designer
%{_kf5_plugindir}/designer/knewstuffwidgets.so
%dir %{_kf5_includedir}/KNewStuff3/
 %{_kf5_includedir}/KNewStuff3/knewstuff_version.h
%{_kf5_includedir}/KMoreTools/
%{_kf5_includedir}/KNewStuff3/KNS3/
%{_kf5_includedir}/KNewStuff3/kns3/
%{_kf5_includedir}/KNewStuff3/knswidgets/
%{_kf5_includedir}/KNewStuff3/KNSWidgets/
%{_kf5_mkspecsdir}/qt_KNewStuff.pri

%changelog
* Mon May  6 2024 Christophe Marin <christophe@krop.fr>
- Update to 5.116.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.116.0
- No code change since 5.115.0
* Thu Feb  8 2024 Christophe Marin <christophe@krop.fr>
- Update to 5.115.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.115.0
- No code change since 5.114.0
* Sat Jan 13 2024 Christophe Marin <christophe@krop.fr>
- Update to 5.114.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.114.0
- No code change since 5.113.0
* Tue Dec  5 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.113.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.113.0
- No code change since 5.112.0
* Mon Nov  6 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.112.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.112.0
- No code change since 5.111.0
* Mon Oct  9 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.111.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.111.0
- No code change since 5.110.0
* Wed Sep  6 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.110.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.110.0
- No code change since 5.109.0
* Tue Aug  8 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.109.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.109.0
- Changes since 5.108.0:
  * Remove code variants for building with Qt 6
  * Add explicit moc includes to sources for moc-covered headers
* Mon Jul  3 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.108.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.108.0
- Changes since 5.107.0:
  * Remove qt6 CI builds
* Mon Jun  5 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.107.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.107.0
- Changes since 5.106.0:
  * Remove KF5TextWidgets remnants
* Sat May  6 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.106.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.106.0
- Changes since 5.105.0:
  * Remove unused dependencies
* Sat Apr  1 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.105.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.105.0
- Changes since 5.104.0:
  * QtQuickDialogWrapper: Print out errors if component creation failed
  * Deprecate knewstuffcore_version.h & knewstuffquick_version.h
  * Add missing deps to KF5NewStuffCoreConfig
* Mon Mar  6 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.104.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.104.0
- Changes since 5.103.0:
  * DownloadItemsSheet: Fix scrolling (kde#448800)
* Wed Feb  8 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.103.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.103.0
- Changes since 5.102.0:
  * Fix crash in QQuickQuestionListener (kde#464624)
  * Install desktop file for knewstuff-dialog
* Thu Jan 12 2023 Christophe Marin <christophe@krop.fr>
- Update to 5.102.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.102.0
- Changes since 5.101.0:
  * Port away from deprecated KService::property overload
  * core: Don't make URL installation a false question
  * KNSCore::Question: Include the entry in the question
* Tue Dec  6 2022 Christophe Marin <christophe@krop.fr>
- Update to 5.101.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.101.0
- Changes since 5.100.0:
  * Fix static compilation of KF5NewStuffWidgets module (kde#459125)
  * Perform initialization in initialization list
* Tue Nov  8 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.100.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.100.0
- Changes since 5.99.0:
  * KF5NewStuffCoreConfig.cmake: fix resolving QT_MAJOR_VERSION at generation
  * [kmoretools] Replace QDesktopServices::openUrl with KIO::OpenUrlJob
  * Add qtdesigner plugin for KNewStuffWidgets
  * Add Windows Qt 6 CI
* Sat Oct  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.99.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.99.0
- Changes since 5.98.0:
  * [kmoretools] Allow analyzing remote folders with Filelight
  * Fix search fields resetting text when changing window size (kde#455345)
  * Consolidate footers
  * Fix circular visibility condition for upload action
  * Fix broken layout on dialog footer
  * Drop unnecessary Qt6Core5Compat dependency
  * Remove remnants of QTextCodec usage
* Tue Sep  6 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.98.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.98.0
- Changes since 5.97.0:
  * [qtquickdialogwrapper] Fix finding parent window
  * Add FreeBSD Qt6 CI support
  * Render GIFs in entry details (kde#458046)
  * Fix appstream id for vokoscreenNG (kde#458064)
* Sun Aug  7 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.97.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.97.0
- Changes since 5.96.0:
  * [kmoretools] Don't lowercase the desktop entry name (kde#417575)
  * Fixup 6d889ae0: move newlines out of translated string
  * Remove unneeded close button from window footer
  * Add a "try again later" message for transient errors
* Sun Jul  3 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.96.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.96.0
- Changes since 5.95.0:
  * Remove extra ';'
  * Remove duplicate header between cpp/h files
  * Bump deprecation KF version in ecm_set_disabled_deprecation_versions
  * KNewStuffWidgets: generate QCH docs
* Fri Jun 10 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.95.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.95.0
- Changes since 5.94.0:
  * Don't use menu as transientParent (kde#454895)
  * KMoreTools: Fix knewstuff_export.h include
  * Engine: Provide getter for the pageSize property
  * Adjust KMoreTools headers installation
  * Fix core includes in autotests/
  * Relayout header installation location
  * EntryDetails: Make summary text selectable
  * Fix QtQuickDialogWrapper dialog not being usable in konsole (kde#452593)
  * Fix crash if entry gets deleted (kde#454010)
  * Add missing translation domain (kde#453827)
  * Reuse instances of QFileSystemWatcher for KNSCore::Cache
* Tue May 10 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.94.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.94.0
- Changes since 5.93.0:
  * Action: simplify expression for engine property
  * Deprecate KNS3::QtQuickDialogWrapper::exec
  * Port away from using KNS3::QtQuickDialogWrapper::exec internally (kde#450702)
  * qtquickdialogwrapper: Fix memory leak caused by `QQmlComponent::create`
  * Add missing include
  * Use Kirigami.LoadingPlaceholder component
  * Delete our own custom PlaceholderMessage
  * Add windows CI
  * Dialog: Port to Layouts
  * Dialog: Remove unnecessary background rectangle
  * Dialog: use a real ToolBar for the footer instead of a homemade one
  * Dialog: Add a little separator line between footer and content
  * Convey lack of hotness visually in placeholder message
* Sun Apr  3 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.93.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.93.0
- Changes since 5.92.0:
  * Fix problems renaming a temporary file on Windows
  * Installation: don't let QTemporaryFile delete the file before using it
  * Do not set user-visible name as additional agent information when copying provider
  * Do not set user-visible name as additional agent information (kde#451165)
  * Engine: Default to autoconfig.kde.org for reading ProvidersUrl
  * Port to ECMQmlModule
  * Fix close button for NewStuff.Dialog not existing on X11 (kde#437653)
  * Fix certain tars not being recognized as valid archives (kde#450662)
- Drop patch, now upstream:
  * 0001-Do-not-set-user-visible-name-as-additional-agent-inf.patch
* Mon Mar 28 2022 Christophe Giboudeaux <christophe@krop.fr>
- Add upstream fix (kde#451165):
  * 0001-Do-not-set-user-visible-name-as-additional-agent-inf.patch
* Mon Mar  7 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.92.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.92.0
- Changes since 5.91.0:
  * kmoretools: Fix OBS appstream id (kde#414533)
  * Add conditional cache preference to http requests
  * Engine: Ensure we are not using the wrong ProvidersUrl
  * Add http2 to KNewStuff requests
  * Engine::atticaProviders is being added in 5.92
  * KNSCore::Engine: Expose our Attica::Provider
* Sun Feb  6 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.91.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.91.0
- Changes since 5.90.0:
  * Update code snippet for NewStuff.Action
  * Register KNSCore::Entry under name "Entry" as a Q_GADGET to QML
  * Consume string views before they become invalid
  * Focus search field by default unless doing so would show the virtual keyboard (kde#444727)
  * Add CI qt6 support
  * Fix the Qt6 build
  * Deprecate KNS3::Button class in favor of KNSWidgets::Button
  * Introduce KNSWidgets::Button class for better compatibility with KF6 changes
  * KNSWidgets::Action add compatibility for unified entry class in KF6
  * Unify how kpackageType is determined for the addons
  * Button.qml Fix binding for engine property
  * Utilize ECMDeprecationSettings to manage deprecate Qt/KF API
  * Button.qml: Use QML loaders for dialog component
  * Fix broken usage example for NewStuff.Action
  * Remove QProcess::ExitStatus parameter from signal handler parameter list if we don't need it
  * Remove unneeded QOverload for QProcess::finished signal
  * Fix specific code for building qt6
  * Apply Volker patch (fix install)
  * Adapt build system for building against qt6
  * Engine: Ensure we are not using the wrong ProvidersUrl
  * Add conditional cache preference to http requests
* Mon Jan  3 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.90.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.90.0
- Changes since 5.89.0:
  * Drop lib prefix when building for Windows (kde#446950)
  * Remove defunct manual khotnewstuff_upload test
  * Compile fixes for Qt 6
  * Fix i18n* functions for knewstuff-dialog not existing
  * Port all KF deprecations until 5.89
  * Unnest private classes, use std::unique_ptr to manage lifetime
  * Generate own export header for KNSWidgets module
  * Fix include install directory
  * Fix library name
  * Move KNS3::Action class to new KNSWidgets submodule
  * New class: KNS3::Action
* Sat Dec  4 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.89.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.89.0
- Changes since 5.88.0:
  * Improve presentation of multi-file download sheet
  * Use RTL half-star rating icon when in RTL mode
* Sun Nov  7 2021 Christophe Giboudeaux <christophe@krop.fr>
- Strip 'Source' URL for faster submissions
* Sun Nov  7 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.88.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.88.0
- Changes since 5.87.0:
  * Port to enum values for KAuthorized::authorizeAction
  * Make sure that we query KService with lowercase desktop names since it
    seems that KService stores everything lowercase. (kde#417575)
  * Add FreeBSD CI
* Sun Oct  3 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.87.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.87.0
- Too many changes since 5.86.0, only listing bugfixes:
  * Fix crash in DownloadWidget (kde#443025)
- Drop upstream patches:
  * 0001-Include-a-user-agent-on-KNS-requests.patch
  * fix-crash.patch
* Fri Oct  1 2021 Christophe Giboudeaux <christophe@krop.fr>
- Add upstream patch:
  * 0001-Include-a-user-agent-on-KNS-requests.patch
* Tue Sep 28 2021 Paolo Stivanin <info@paolostivanin.com>
- Add fix-crash.patch. This patch fixes a crash in DownloadWidget.
  (kde#443025)
* Wed Sep 15 2021 Christophe Giboudeaux <christophe@krop.fr>
- Drop the unneeded baselibs.conf.
* Mon Sep  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.86.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.86.0
- Changes since 5.85.0:
  * replace "MacOSX" with "macOS"
  * Port from KMountPoint to QStorageInfo
  * Set KLocalizedContext for QtQuickDialogWrapper
  * Use QToolButton for reset button as we have the same style
* Fri Aug  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.85.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.85.0
- Changes since 5.84.0:
  * It's deprecated in 5.85 not 5.80
  * Rework UploadDialog, add QML version, and a new ProvidersModel
  * Simplify lookup of knsrc files using KFileUtils::findAllUniqueFiles method
  * Forward Attica provider icons to KNSCore::Provider
  * Handle payload-only entries during update operations
* Sun Jul  4 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.84.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.84.0
- Too many changes to list here.
- Only install the license files once
* Sat Jun  5 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.83.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.83.0
- Too many changes to list here.
* Sat May  1 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.82.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.82.0
- Changes since 5.81.0:
  * Deprecate quickengine changedEntries & related methods
  * Do not show error when installation is canceled (kde#436355)
  * Port away from QStringRef
  * Fix mem leak in autotests found by asan
  * NewStuff Dialog: Forward entryEvent signal
  * NewStuff Button: Forward entryEvent signal
  * Make QML GHNS dialog a tiny bit wider (kde#435547)
  * ensure .desktop files are executable
* Mon Apr  5 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.81.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.81.0
- Changes since 5.80.0:
  * qtquickengine: Do not forward intermediate states
  * quickengine: Emit entryEvent signal with enum which is exposed to QML
  * Create a NewStuff.Action component, add NewStuff.Settings global
  * Fix minor typos
  * Less risk of infinite spinner on uninstalling KPackage based things (kde#434371)
* Sun Mar  7 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.80.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/frameworks/5/5.80.0
- Too many changes since 5.79.0, only listing bugfixes:
  * Fix preview delegate's update badge being cut off (kde#433535)
  * qtquickengine: Do not emit entriesChanged signal when we clear an empty list (kde#431568)
  * qtquickengine: Check if KNSCore::Engine is valid before searching (kde#402432)
* Mon Feb  8 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.79.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.79.0
- Too many changes to list here.
* Wed Jan  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.78.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.78.0
- Changes since 5.77.0:
  * Deprecate standardAction and standardActionUpload methods
  * Fix QtQuick model if there is only a payload, but no download links
  * Add trailing comma to enum values
  * Add clang-format target
  * Add a dptr to Cache, and move the throttle timer there to fix crash (kde#429442)
  * Refactor KNS3::Button to use new dialog internally
  * Create wrapper class for QML dialog
  * Fix unit tests for kmoretools
  * Check if version is empty before concatenating version
* Sat Dec  5 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.77.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.77.0
- Too many changes since 5.76.0, only listing bugfixes:
  * Reuse QWidgets dialog (kde#416328)
  * Fix entry disappearing too early from updatable page (kde#427801)
  * Remove entry from cache before inserting new entry (kde#424919)
* Sat Nov  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.76.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.76.0
- Changes since 5.75.0:
  * Fix erroneous logic introduced in e1917b6a
  * If include is define in .h remove it if it's defined in .cpp too (scripted)
  * Fix double-delete crash in kpackagejob (kde#427910)
  * Deprecate Button::setButtonText() and fix API docs, nothing is prepended
  * Postpone all on-disk cache writes until we've had a quiet second
  * Fix crash when list of installed files is empty
  * Remove entry from cache before inserting new entry (kde#424919)
* Mon Oct  5 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.75.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.75.0
- Too many changes since 5.74.0, only listing bugfixes:
  * Update versions for "fake" kpackage updates (kde#427201)
  * Fix crash when installing kpackages (kde#426732)
  * Fix updating of entry if version number is empty (kde#417510)
* Sun Sep  6 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.74.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.74.0
- Too many changes since 5.73.0, only listing bugfixes:
  * Fix cache sync issues with QtQuick dialog (kde#417985)
  * Remove entries if they do not match filter anymore (kde#425135)
  * Make the internal kpackage job task less fragile (kde#425811)
  * Handle /* notation for RemoveDeadEntries (kde#425704)
  * Remove slashes from entry name when interpreting it as path (kde#417216)
  * Fix a sometimes-crash with the KPackageJob task (kde#425245)
  * Use same spinner for loading and initializing (kde#418031)
  * Remove details button (kde#418034)
  * Hide load more spinner while updating/installing (kde#422047)
  * Do not focus first element in icon view mode (kde#424894)
* Sun Aug  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.73.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.73.0
- Too many changes since 5.72.0, only listing bugfixes:
  * [QtQuick dialog] use update icon that exists (kde#424892)
  * Allow to delete updatable entries (kde#260836)
  * Do not focus first element automatically (kde#417843)
  * Fix display of Details and Uninstall button in Tiles view mode (kde#418034)
  * Fix moving buttons when seach text is inserted (kde#406993)
  * Fix details install dropdown in QWidgets dialog (kde#369561)
  * Set entry to uninstalled if installation fails (kde#422864)
* Sun Jul  5 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.72.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.72.0
- Changes since 5.71.0:
  * Fix minor typos
  * Move explanatory text from sheet header to list header
  * Fix typo
  * Fix paths for install script and uncompression
  * Hide the ShadowRectangle for non-loaded previews (kde#422048)
  * Don't allow content to overflow in the grid delegates (kde#422476)
* Sun Jun  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.71.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.71.0
- Changes since 5.70.0:
  * Don't duplicate error messages in a passive notification (kde#421425)
  * Port from runUrl to OpenUrlJob
  * Fix incorrect colours in the KNS Quick messagebox (kde#421270)
  * Do not mark entry as uninstalled if uninstallation script failed (kde#420312)
  * KNS: Deprecate isRemote method and handle parse error properly
  * KNS: Do not mark entry as installed if install script failed
  * Fix showing updates when the option is selected (kde#416762)
  * Fix update auto selection (kde#419959)
  * Add KPackage support to KNewStuffCore (kde#418466)
* Sun May  3 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.70.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
  * KNewStuff: Fix file path and process call (kde#420312)
  * KNewStuff: port from KRun::runApplication to KIO::ApplicationLauncherJob
  * [KNewStuff] Port QRegExp to QRegularExpression
  * Replace Vokoscreen with VokoscreenNG (kde#416460)
  * Fix minor typo (stray word from the wrong bit of the sentence)
  * Fix minor typo
  * Introduce more user-visible error reporting for installations
* Sun Apr  5 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.69.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/kde-frameworks-5.69.0
- Changes since 5.68.0:
  * Show filename too
  * Fix layout in DownloadItemsSheet (kde#419535)
  * [QtQuick dialog] Port to UrlBUtton and hide when there's no URL
  * Switch to using Kirigami's ShadowedRectangle
  * Fix update scenarios with no explicit downloadlink selected (kde#417510)
* Sun Mar  8 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.68.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.68.0.php
- Changes since 5.67.0:
  * Fix clicking thumb-only delegate (kde#418368)
  * Make it compile against qt5.15. SkipEmptyParts is part of Qt::. + they reverted error() -> networkError()
  * Fix scrolling on the EntryDetails page (kde#418191)
  * Don't double delete CommentsModel (kde#417802)
  * Make it compile against last qt5.15 without deprecated method. QProcess::execute(QString) is deprecated
  * Cover also the qtquick plugin in the installed categories file
  * Use ecm_qt_install_logging_categories over manual categories file
  * Use the right translation catalog to show translations
  * Fix the KNSQuick Dialog's close title and basic layout (kde#415606)
* Sun Feb  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%make_jobs with %%cmake_build.
* Sun Feb  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.67.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.67.0.php
- Changes since 5.66.0:
  * Unbreak the KNSQuick::Engine::changedEntries functionality
  * Make it compile against last qt5.15 without deprecated methods
  * Add ellipsis at the end, as per HIG
  * API dox: add since for KDE_INSTALL_KNSRCDIR, note
    backward-compatible variant
  * Fix the KNSQuick Dialog's close title and basic layout
* Sun Jan  5 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.66.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.66.0.php
- Changes since 5.65.0:
  * Remove endl. qCritical/qDebug already adds a endl.
  * QHash::insertMulti is deprecated
  * Update the obsolete projects.kde.org URL
  * Ensure the dialog title is correct with an uninitialised engine
  * Don't show the info icon on the big preview delegate (kde#413436)
  * Support archive installs with adoption commands (kde#407687)
  * Send along the config name with requests
* Sun Dec  8 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.65.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.65.0.php
- Too many changes since 5.64.0, only listing bugfixes:
  * Fix i18n syntax to avoid runtime errors (kde#414498)
  * Correctly set i18n arguments in one pass (kde#414060)
  * Add OBS to screenrecorders (kde#412320)
  * Give some more pretty feedback in NewStuff::Page while the Engine is loading (kde#413439)
  * Add an overlay component for item activity feedback (kde#413441)
  * Only show DownloadItemsSheet if there's more than one download item (kde#413437)
  * Use the pointing hand cursor for the single-clickable delegates (kde#413435)
  * Fix the header layouts for EntryDetails and Page components (kde#413433)
* Sun Nov  3 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.64.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.64.0.php
- Changes since 5.63.0:
  * Ensure that the changedEntries property is correctly propagated
  * Fix KNSCore::Cache fetching when initialising Engine (kde#408716)
  * Use ECMGenerateExportHeader to manage deprecated API better
* Sun Oct  6 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.63.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.63.0.php
- Changes since 5.62.0:
  * Bring KNewStuffQuick to feature parity with KNewStuff(Widgets)
  * Remove dead icon loading code
* Sat Sep  7 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.62.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.62.0.php
- Changes since 5.61.0:
  * Remove unused includes
  * use local variable so it does not need ECM installed
- Replace foo-devel with cmake(KF5Foo) in build requirements
* Wed Aug  7 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 5.61.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.61.0.php
- Changes since 5.60.0:
  * Use identical internet-services icon.
  * Port from KRun::runService to runApplication, so runService can be deprecated
* Fri Jul 19 2019 Wolfgang Bauer <wbauer@tmo.at>
- Don't lower minimum Qt version anymore, it requires 5.11 now
* Sun Jul 14 2019 lbeltrame@kde.org
- Update to 5.60.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.60.0.php
- Changes since 5.59.0:
  * [kmoretools] Add icons to download and install actions
  * Install in new logging directory when we use kf5 5.59.0
* Sun Jun  9 2019 lbeltrame@kde.org
- Update to 5.59.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.59.0.php
- Changes since 5.58.0:
  * Fix build error in uploaddialog.ui
* Wed May 15 2019 lbeltrame@kde.org
- Update to 5.58.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.58.0.php
- Changes since 5.57.0:
  * Remove pixelated border (kde#391108)
  * Minor documentation clearup (missing support variable)
* Sun Apr 14 2019 lbeltrame@kde.org
- Update to 5.57.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- Changes since 5.56.0:
  * Switch URLs to https
  * Update link to fsearch project
  * Set category on Attica entries
  * Handle unsupported OCS commands, and don't over-vote (kde#391111)
  * Remove some erroneously left-in debug, and leave one warning
  * New location for KNSRC files
  * [knewstuff] make it compile without foreach
  * [knewstuff] Remove qt5.13 deprecated method
* Sun Mar 10 2019 lbeltrame@kde.org
- Update to 5.56.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
  * Port deprecated methods
  * Filter out invalid content in lists
  * Fix mem leak found by asan
* Fri Feb 15 2019 alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
* Sun Feb 10 2019 lbeltrame@kde.org
- Update to 5.55.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
  * Delete copy constructor and assignment operator
  * delete copy constructor and assignment operator of some internal classes
  * Fix semantics for ghns_exclude (kde#402888)
* Mon Jan 14 2019 lbeltrame@kde.org
- Update to 5.54.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
  * Remove old kde4 feature
  * Fix compile with strict compile flags
  * Use QStringLiteral + port to for(...:...)
  * Change default sort order in the download dialog to "Most downloads" (kde#399163)
  * Notify about the provider not being loaded
  * Forgot to include file
  * Export enum into qobject for easier debugging
* Sun Dec  9 2018 lbeltrame@kde.org
- Update to 5.53.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
  * Remove unused include
  * Use new syntax
  * Mark new public bits as since 5.53
  * Add programmaticaly useful error signalling
  * It compiles without deprecated method
* Sun Nov 11 2018 lbeltrame@kde.org
- Update to 5.52.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
  * Remove unused variable
  * Adapt autotest to new menu structure
  * More useful error messages
  * Use new connect syntax
* Tue Oct 16 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Mon Oct 15 2018 lbeltrame@kde.org
- Update to 5.51.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
  * Use debug categories
  * Add support for Attica tags support
  * [KMoreTools] give the "Configure..." menu item an appropriate icon BUG: 398390 FIXED-IN: 5.51 (kde#398390)
  * [KMoreTools] Reduce menu hierarchy
  * Fix 'Impossible to use knsrc file for uploads from non standard location' (kde#397958)
  * Fix minor EBN issues
  * Remove an unneeded include (and fix a warning while we're at it)
  * Make test tools link on Windows
  * Unbreak build with Qt 5.9
* Thu Sep 13 2018 lbeltrame@kde.org
- Update to 5.50.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.50.0.php
- Changes since 5.49.0:
  * Cache providerId
* Sun Aug 19 2018 christophe@krop.fr
- Update to 5.49.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.49.0.php
- Changes since 5.48.0:
  * Remove long-time deprecated Encoding=UTF-8 from desktop format files
  * Change default sort order in the download dialog to Rating
  * Fix DownloadDialog window margins to meet general theme margins
  * Restore accidentally removed qCDebug
  * Use the right QSharedPointer API
  * Handle empty preview lists
* Mon Jul 16 2018 lbeltrame@kde.org
- Update to 5.48.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.48.0.php
- Changes since 5.47.0:
  * [KMoreTools] Enable installing tools via appstream url
  * Remove KNS::Engine d-pointer hack
* Tue Jun 12 2018 lbeltrame@kde.org
- Update to 5.47.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.47.0.php
- Changes since 5.46.0:
  * None
* Sun May 13 2018 lbeltrame@kde.org
- Update to 5.46.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.46.0.php
- Changes since 5.45.0:
  * Use override
  * Fix double margins around DownloadDialog
  * Fix hints in UI files about subclasses of custom widgets
  * Warning--
  * Don't offer qml plugin as a link target
* Sat Apr 14 2018 lbeltrame@kde.org
- Update to 5.45.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.45.0.php
- Changes since 5.44.0:
  * Make it public
  * Remove not necessary QtCore and co
  * Actually vote when clicking stars in the list view (kde#391112)
* Mon Mar 12 2018 lbeltrame@kde.org
- Update to 5.44.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.44.0.php
- Changes since 5.43.0:
  * Add explicit includes to fix build with Qt 5.11
  * Add vokoscreen to KMoreTools and add it to the "screenrecorder" grouping
* Mon Feb 12 2018 lbeltrame@kde.org
- Update to 5.43.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.43.0.php
- Changes since 5.42.0:
  * None
* Tue Jan 16 2018 lbeltrame@kde.org
- Update to 5.42.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.42.0.php
- Changes since 5.41.0:
  * Remove obsolete reviewboardrc file
  * Limit request cache size
  * Require the same internal version as you're building
  * const'ify. Remove virtual when override is defined. Minor optimization
  * Prevent global variables from been using after freeing
* Sun Dec 17 2017 lbeltrame@kde.org
- Update to 5.41.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.41.0.php
- Changes since 5.40.0:
  * Fix some clazy warning
  * Revert "Detach before setting the d pointer" (kde#386156)
  * do not install development tool to aggregate desktop files
  * [knewstuff] Do not leak ImageLoader on error
* Mon Nov 13 2017 lbeltrame@kde.org
- Update to 5.40.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.40.0.php
- Changes since 5.39.0:
  * Remove PreferCache from network requests
  * Don't detach shared pointers to private data when setting previews.
  * Initialize pouinter
  * Check pointer before to use it
  * KMoreTools: Update and fix desktopfiles (kde#369646)
* Mon Oct 23 2017 lbeltrame@kde.org
- Update to 5.39.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.39.0.php
- Changes since 5.38.0:
  * Require Kirigami 2.1 instead of 1.0 for KNewStuffQuick
  * Properly create KPixmapSequence
  * Don't complain the knsregistry file is not present before it's useful
  * Detach before setting the d pointer
* Tue Sep 12 2017 lbeltrame@kde.org
- Update to 5.38.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.38.0.php
- Changes since 5.37.0:
  * kmoretoolstest2 doesn't seem interactive, make it run as autotest
  * Adapt KMoreTools unittests so they can run without "make install".
* Sat Aug 12 2017 christophe@krop.fr
- Update to 5.37.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.37.0.php
- Changes since 5.36.0 :
  * Give a parent to KMoreToolsMenuFactory menus
  * When requesting from the cache, report all entries at bulk
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Allow to pass SearchRequest to QDebug
  * Add qCDebug
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Document engine calls
* Wed Jul 12 2017 wbauer@tmo.at
- Move unversioned files to a new knewstuff package to be more
  compliant with the SLPP
* Wed Jul 12 2017 lbeltrame@kde.org
- Update to 5.36.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.36.0.php
- Changes since 5.35.0:
  * install categories file
  * Revert some part of eb2e65a882f0b95efeefe0115d9a942861768ba8
  * Expand KNewStuff documentation
  * Fix incorrect error detection for missing knsrc files
  * Extend unittests to test stable sort.
  * Expose and use Engine's page size variable
  * Fix warnings
  * cmake: use ecm_add_test more
  * Use the right scope for the installpath variable
  * add .arcconfig file
  * Make it possible to use QXmlStreamReader to read a KNS registry file
  * [FEATURE] Option to build & install QCH files with the public API dox
* Sun Jun 11 2017 lbeltrame@kde.org
- Update to 5.35.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.35.0.php
- Changes since 5.34.0:
  * Use a single QNAM (and a disk cache) for HTTP jobs
  * Internal cache for provider data on initialisation
  * Improve some error messages
* Mon May 15 2017 fabian@ritter-vogt.de
- Update to 5.34.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.34.0.php
- Changes since 5.33.0:
  * Allow multiple categories with the same name
  * Improvements
  * Fix i18n puzzle again.
  * KNewStuff: Show file's size information in grid delegate.
  * i18n: fix string puzzle
  * If an entry's size is known, show it in the list view.
  * Register and declare KNSCore::EntryInternal::List as a metatype
  * Don't fall through the switch. Double entries? No please.
  * always close the downloaded file after downloading
* Sat Apr 15 2017 lbeltrame@kde.org
- Update to 5.33.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.33.0.php
- Changes since 5.32.0:
  * Upgrade ECM and KF5 version requirements for 5.33.0 release.
  * Upgrade KF5 version to 5.33.0.
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Fix compilation with Qt 5.6
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Upgrade KF5 version to 5.32.0.
* Fri Feb 17 2017 toddrme2178@gmail.com
- Add libKF5NewStuffCore5 to baselibs.conf
  libKF5NewStuff5-32bit cannot be installed without it.
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Sun Jan  8 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Add new archive management option (subdir) to knsrc
  * Consume the new error signals (set job errors)
  * Handle oddity regarding files disappearing when just created
  * Actually install the core headers, with CamelCases
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Sat Nov  5 2016 hrvoje.senjan@gmail.com
- Update to 5.28.0
  * Separate sort roles and filters
  * Make it possible to query installed entries
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.28.0.php
* Sun Oct  2 2016 hrvoje.senjan@gmail.com
- Update to 5.27.0
  * Add KAuthorized checks to allow disabling of ghns in kdeglobals
    (kde#368240)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.27.0.php
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Uncompress archives in subfolders
  * No longer allow installing to generic data folder because
    of potential security hole
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Make sure we have a size to offer (kde#364896)
  * Fix "Download dialog fails when all categories missing"
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Don't initialize KNS3::DownloadManager with the wrong categories
  * Extend KNS3::Entry public API
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Do not crash if .desktop files are missing or broken
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Show a warning if there's an error in the Engine
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * registerServicesByGroupingNames can define default more items
  * Make KMoreToolsMenuFactory::createMenuFromGroupingNames lazy
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * Fix 'KDE Partition Manager' desktop file and homepage URL
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Add new method fillMenuFromGroupingNames
  * KMoreTools: add many new groupings
  * KMoreToolsMenuFactory: handling for "git-clients-and-actions"
  * createMenuFromGroupingNames: make url parameter optional
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * New set of classes, called KMoreTools and related.
    KMoreTools helps to add hints about external tools which
    are potentially not yet installed. Furthermore, it makes long
    menus shorter by providing a main and more section which is
    also user-configurable.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
- Added kservice-devel (Build)Requires
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- Drop no longer needed Requires of the devel subpackage:
  karchive-devel and kio-devel
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Always reload xml data from remote urls
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Also allow absolute filepaths for configfile parameter.
  * Fix compilation on Windows
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Many small fixes and cleanups
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * KNewStuff: installing "stuff" works again (porting bug)
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init knewstuff package
